GWT 2.7.0

## com.google.gwt.event.dom.client
Class PrivateMap<V>

    java.lang.Object
      com.google.gwt.event.dom.client.PrivateMap<V>

Type Parameters:
  `V` - value type

     class PrivateMap<V>

extends java.lang.Object

Lightweight map implementation. Package protected due to non-final API.

Constructor Summary
`PrivateMap()`

Method Summary
`V` | `get(int key)`
`void` | `put(int key, V value)`
`V` | `safeGet(java.lang.String key)`
`void` | `safePut(java.lang.String key, V value)`
`V` | `unsafeGet(java.lang.String key)`
`void` | `unsafePut(java.lang.String key, V value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivateMap

    public PrivateMap()

Method Detail

### get

    public final V get(int key)

### put

    public final void put(int key,
                          V value)

### safeGet

    public final V safeGet(java.lang.String key)

### safePut

    public final void safePut(java.lang.String key,
                              V value)

### unsafeGet

    public final V unsafeGet(java.lang.String key)

### unsafePut

    public final void unsafePut(java.lang.String key,
                                V value)

GWT 2.7.0